##### 生产环境配置 #######
server:
  port: 18080

spring:
  #数据库配置
  datasource:
    dynamic:
      primary: master
      datasource:
        master:
          url: jdbc:dm://localhost:5236
          username: BIANMU
          password: 123456789
          driver-class-name: dm.jdbc.driver.DmDriver
    sql-script-encoding: UTF-8

  elasticsearch:
    rest:
      uris: http://127.0.0.1:9200

project:
  #是否需要输入验证码
  captcha-enable: false
  # 配置文件存储方式
  file-storage:
    # 存储路径
    path: ${user.home}/shandan/bianmu/upload


oauth:
  server:
    #Nginx代理地址
    proxy: http://172.16.36.205:800/oauth-server
    #内网服务地址
    internal: http://127.0.0.1:18888/oauth-server
security:
  oauth2:
    client:
      client-id: bianmu
      client-secret: bianmu_123456
      access-token-uri: ${oauth.server.internal}/oauth/token
      user-authorization-uri: ${oauth.server.proxy}/oauth/authorize
    resource:
      user-info-uri: ${oauth.server.internal}/oauth/user/info
